package com.cool.store.enums.master;

import com.cool.store.enums.close.CloseTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * 门店闭店性质枚举类
 * </p>
 *
 * @author wangff
 * @since 2025/9/16
 */
@Getter
@AllArgsConstructor
public enum StoreCloseNatureEnum {
    // 这里的描述跟标品略微不同，但是描述不要改！！！跟每刻保持一致！！！
    REQUIRE_CLOSE(0, "我们管理要求闭店", CloseTypeEnum.NO_ORDER_AUTO),

    ONESELF_CLOSE(1, "加盟商自行闭店", CloseTypeEnum.INITIATE),
    ;


    private final Integer code;

    private final String desc;

    private final CloseTypeEnum closeType;

    public static String getDescByCode(Integer code) {
        for (StoreCloseNatureEnum value : StoreCloseNatureEnum.values()) {
            if (value.code.equals(code)) {
                return value.desc;
            }
        }
        return null;
    }
}
